/*
 * Copyright (C) 2021  Christopher J. Howard
 *
 * This file is part of Antkeeper source code.
 *
 * Antkeeper source code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper source code.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ANTKEEPER_GEOM_HPP
#define ANTKEEPER_GEOM_HPP

/// Geometry
namespace geom {}

#include "aabb.hpp"
#include "bounding-volume.hpp"
#include "convex-hull.hpp"
#include "csg.hpp"
#include "intersection.hpp"
#include "marching-cubes.hpp"
#include "mesh.hpp"
#include "mesh-accelerator.hpp"
#include "mesh-functions.hpp"
#include "morton.hpp"
#include "octree.hpp"
#include "plane.hpp"
#include "projection.hpp"
#include "ray.hpp"
#include "sdf.hpp"
#include "sphere.hpp"
#include "view-frustum.hpp"

#endif // ANTKEEPER_GEOM_HPP
